=== doc/CMakeLists.txt ===
if(BRLCAD_EXTRADOCS)
  add_subdirectory(docbook)
else(BRLCAD_EXTRADOCS)
  CMAKEFILES(docbook)
endif(BRLCAD_EXTRADOCS)

add_subdirectory(html)
add_subdirectory(legal)

set(documentation_DATA
  IDEAS
  PROJECTS
  README.AIX
  README.BSD
  README.IRIX
  README.Linux
  README.MacOSX
  README.Solaris
  README.VAX
  README.Windows
  TODO.BREP
  TODO.shaded_displays
  anim.txt
  archer_ack.txt
  benchmark.tr
  bison_to_lemon.txt
  brep.txt
  BRL-CAD.bib
  cvs.txt
  description.txt
  flex_to_re2c.txt
  ged.tr
  history.txt
  hypot.txt
  irprep.tr
  mater.txt
  matrix.txt
  )
ADD_DOC(documentation_DATA ".")

set(documentation_mged_old_DATA
  mged/a.tex
  mged/adc.ps
  mged/all.tex
  mged/axis-3525.ps
  mged/b.tex
  mged/buttonmenu.ps
  mged/c.tex
  mged/coord-axes.ps
  mged/crod-close.ps
  mged/crod.ps
  mged/d.tex
  mged/doit
  mged/e.tex
  mged/eo-arbrot.ps
  mged/eo-bgrp.ps
  mged/eo-bgrp311.ps
  mged/eo-cgrp.ps
  mged/eo-cgrp321.ps
  mged/eo-ellg.ps
  mged/eo-ellg2x.ps
  mged/eo-ellgxyz.ps
  mged/eo-gredit.ps
  mged/eo-grpath.ps
  mged/eo-scale.ps
  mged/eo-spread.ps
  mged/eo-stacked.ps
  mged/eo-start.ps
  mged/eo-tor111.ps
  mged/eo-xymove.ps
  mged/eo-xyzmove.ps
  mged/es5-edge1.ps
  mged/es5-edge2.ps
  mged/es5-edge3.ps
  mged/es5-edge4.ps
  mged/es5-rot.ps
  mged/es5-scale.ps
  mged/es5-sed.ps
  mged/es5-top.ps
  mged/es5-tr.ps
  mged/es5-xrot.ps
  mged/es8-edge1.ps
  mged/es8-edge2.ps
  mged/es8-edge3.ps
  mged/es8-ex1.ps
  mged/es8-ex2.ps
  mged/es8-rot.ps
  mged/es8-scale.ps
  mged/es8-sed.ps
  mged/es8-top.ps
  mged/es8-tr0.ps
  mged/es8-xrot.ps
  mged/es8-yrot.ps
  mged/es8-zrot.ps
  mged/esc-mh.ps
  mged/esc-mhrt.ps
  mged/esc-rot.ps
  mged/esc-sa.ps
  mged/esc-sb.ps
  mged/esc-sc.ps
  mged/esc-scale.ps
  mged/esc-sd.ps
  mged/esc-sed.ps
  mged/esc-sh.ps
  mged/esc-top.ps
  mged/esc-tr.ps
  mged/esc-xrot.ps
  mged/esc-yrot.ps
  mged/esc-zrot.ps
  mged/ese-sa.ps
  mged/ese-sb.ps
  mged/ese-sc.ps
  mged/ese-scale.ps
  mged/ese-sed.ps
  mged/ese-top.ps
  mged/ese-tr.ps
  mged/ese-xrot.ps
  mged/ese-yrot.ps
  mged/ese-zrot.ps
  mged/est-scale.ps
  mged/est-sed.ps
  mged/est-sr1.ps
  mged/est-sr2.ps
  mged/est-top.ps
  mged/est-tr.ps
  mged/est-xrot.ps
  mged/est-yrot.ps
  mged/est-zrot.ps
  mged/ex.arb4.ps
  mged/ex.arb8.ps
  mged/ex.box.ps
  mged/ex.ellg.ps
  mged/ex.raw.ps
  mged/ex.rcc.ps
  mged/ex.rpp.ps
  mged/ex.sph.ps
  mged/ex.tor.ps
  mged/ex.trc.ps
  mged/f.tex
  mged/faceplate.ps
  mged/faceplate1.ps
  mged/fig-sgi-buttons.ps
  mged/fig-sgi-knobs.ps
  mged/fig-sgi.ps
  mged/fig-vg-buttons.ps
  mged/fig-vg-knobs.ps
  mged/g.tex
  mged/h.tex
  mged/j.tex
  mged/k.tex
  mged/l.tex
  mged/m.tex
  mged/menu-arb-ctl.ps
  mged/menu-arb4-edge.ps
  mged/menu-arb4-face.ps
  mged/menu-arb4-rot.ps
  mged/menu-arb8-edge.ps
  mged/menu-arb8-face.ps
  mged/menu-arb8-rot.ps
  mged/obj-edit.ps
  mged/obj-path.ps
  mged/obj-pick.ps
  mged/ped-ell.ps
  mged/ped-tgc.ps
  mged/ped-tor.ps
  mged/plane-35a.ps
  mged/plane-35b.ps
  mged/plane-bot1.ps
  mged/plane-bot2.ps
  mged/plane-front1.ps
  mged/plane-front2.ps
  mged/plane-right1.ps
  mged/plane-right2.ps
  mged/plane-top1.ps
  mged/plane-top2.ps
  mged/rmit-3525.ps
  mged/robot.ps
  mged/sol-2pick.ps
  mged/sol-ed.ps
  mged/sol-pick.ps
  mged/t1-2s-pk.ps
  mged/t1-obj-ed.ps
  mged/t1-obj-ph.ps
  mged/t1-obj-pk.ps
  mged/t1-rot-vw.ps
  mged/t1-sol-ed.ps
  mged/t1-sol-pk.ps
  mged/t1-top-vw.ps
  mged/t1.tex
  mged/test.tex
  mged/v-arb8-side.ps
  mged/v-arb8-top.ps
  mged/wm-arm1.ps
  mged/wm-arm2.ps
  mged/wm-body.ps
  mged/wm-collar.ps
  mged/wm-final1.ps
  mged/wm-hat-E.ps
  mged/wm-hat1.ps
  mged/wm-hat2.ps
  mged/wm-hat3.ps
  mged/wm-head.ps
  mged/wm-leg1.ps
  mged/wm-prims.ps
  mged/wm-tube.ps
  mk.tr
  movie.txt
  old-mged.tr
  pkg.tr
  regions.txt
  rounding.txt
  sun.txt
  tube.txt
  tool_categories.txt
  ecosystem.dot
  )
ADD_DOC(documentation_mged_old_DATA mged_old)

configure_file(pad_file.xml.in ${CMAKE_CURRENT_BINARY_DIR}/pad_file.xml @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pad_file.xml DESTINATION ${DOC_DIR})

CMAKEFILES(pad_file.xml.in STARTERS)
CMAKEFILES(burst)

# Local Variables:
# tab-width: 8
# mode: cmake
# indent-tabs-mode: t
# End:
# ex: shiftwidth=2 tabstop=8
