=== doc/burst/Makefile ===
# these macros (mm files) are generated by tclsh script "Make-tables.sh"
TABLE_MM := bpl.mm
TABLE_MM += cmap.mm
TABLE_MM += commands.mm
TABLE_MM += fb.mm
TABLE_MM += hmkeys.mm
TABLE_MM += ids.mm
TABLE_MM += overlap.mm
TABLE_MM += plot.mm
TABLE_MM += screen.mm
TABLE_MM += scrollmenu.mm
TABLE_MM += shotlines.mm
TABLE_MM += submenu.mm
TABLE_MM += topmenu.mm

PRODS := burst.ps burst.pdf burst.html

docs:
	@echo "Making burst tables for groff..."
	./Make-tables.sh
	@echo "Making burst docs..."
	./Make-docs.sh

clean: distclean

distclean:
	-rm $(TABLE_MM) $(PRODS) *~ t tt
