=== misc/debian/control ===
Source: brlcad
Section: graphics
Priority: optional
Maintainer: Jordi Sayol <g.sayol@yahoo.es>
Build-Depends: build-essential, fakeroot, debhelper (>= 7.0.0), make (>= 3.8.0), cmake, sed, bison, flex, libxi-dev, xsltproc, libglu1-mesa-dev, libpango1.0-dev
Standards-Version: 3.9.1
Homepage: http://brlcad.org/
Vcs-Svn: https://brlcad.svn.sourceforge.net/svnroot/brlcad/
Vcs-Browser: http://brlcad.svn.sourceforge.net/viewvc/brlcad/

Package: brlcad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xterm
Description: BRL-CAD open source solid modeling
  BRL-CAD is a powerful cross-platform open source combinatorial
  Constructive Solid Geometry (CSG) solid modeling system that
  includes interactive solid geometry editing, ray-tracing support for
  rendering and geometric analysis, network-distributed framebuffer
  support, image and signal-processing tools, path-tracing support for
  realistic image synthesis, a system performance analysis benchmark
  suite, an embedded scripting interface, and a robust
  high-performance geometric representation and analysis library.
